# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

Name:		perl-YAML-Tiny
Version:	1.50
Release:	1.%{__distinit}%{__distvers}
Summary:	Read/Write YAML files with as little code as possible
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/YAML-Tiny/
Source0:	http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/YAML-Tiny-%{version}.tar.gz
Patch0:		YAML-Tiny-1.48-old-Scalar::Util.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(Test::CPAN::Meta)
BuildRequires:	perl(Test::MinimumVersion)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(YAML)
BuildRequires:	perl(YAML::Syck)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%{?perl_default_filter}

%description
YAML::Tiny is a Perl class for reading and writing YAML-style files,
written with as little code as possible, reducing load time and
memory overhead.

%prep
%setup -q -n YAML-Tiny-%{version}

# Fix operation with Scalar::Util < 1.18 properly
%patch0 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} \; 2>/dev/null
%{_fixperms} %{buildroot}

%check
make test TEST_FILES="t/*.t xt/*.t" AUTOMATED_TESTING=1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/YAML/
%{_mandir}/man3/YAML::Tiny.3pm*

%changelog
* Thu Jun 23 2011 Paul Howarth <paul@city-fan.org> 1.50-1
- Update to 1.50
  - Major bug fix: all code that writes arbitrary data should upgrade
  - Simple scalars with no whitespace but ending in a colon like ABC: were not
    being quoted, which results in the parser confusing it with a mapping key
    and crashing
- Nobody else likes macros for commands

* Tue Feb  1 2011 Paul Howarth <paul@city-fan.org> 1.48-1
- Update to 1.48
  - Fix to the refaddr compatibility where Scalar::Util is installed but is
    older than 1.18
- BR: perl(Scalar::Util)
- Add patch to fix operation with Scalar::Util < 1.18 properly

* Mon Jan 31 2011 Paul Howarth <paul@city-fan.org> 1.47-1
- Update to 1.47
  - No functional changes
  - Only depend on the YAML implementations when we are release testing

* Thu Dec 16 2010 Paul Howarth <paul@city-fan.org> 1.46-1
- Update to 1.46
  - Added support for trailing line comments
  - Added checks for some characters that are illegal/reserved in plain scalars
  - Minor cleaning up of some out of date POD
  - Updated AUTOMATED_TESTING dependencies to new versions
  - Added experimental support for exception->errstr conversion
  - Updated test suite yaml_error to not expect exceptions

* Sun Aug  8 2010 Paul Howarth <paul@city-fan.org> 1.44-1
- Update to 1.44
  - No functional changes
  - Minor tweaks to Makefile.PL
  - Minor cleanup around the refaddr emulation code

* Mon Jul 19 2010 Paul Howarth <paul@city-fan.org> 1.43-1
- Update to 1.43
  - No functional changes
  - Don't import Carp 'croak' any more, saving a few K

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> 1.42-1
- Update to 1.42
  - No functional changes
  - Clarified documentation regarding treatment of "bool" keywords
  - YAML::Perl comparison tests were behaving incorrectly
  - Author tests updated and moved into xt/
  - Updated the versions of the other YAML parsers for testing

* Wed Jun 23 2010 Paul Howarth <paul@city-fan.org> 1.41-3
- Rebuild for perl 5.12.1 in Rawhide

* Wed May 12 2010 Paul Howarth <paul@city-fan.org> 1.41-2
- Fix dist tag for RHEL-6 Beta

* Tue Dec 22 2009 Paul Howarth <paul@city-fan.org> 1.41-1
- Update to 1.41 (performance fix for very long double-quoted strings)

* Tue Dec 22 2009 Paul Howarth <paul@city-fan.org> 1.40-3
- Import from Fedora

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> 1.40-2
- Rebuild against perl 5.10.1

* Sun Sep 27 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.40-1
- Auto-update to 1.40 (by cpan-spec-update 0.01)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 1.39-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat May 23 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.39-1
- Auto-update to 1.39 (by cpan-spec-update 0.01)
- Added a new br on perl(File::Spec) (version 0.80)

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 1.36-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 17 2009 Steven Pritchard <steve@kspei.com> 1.36-1
- Update to 1.36
- BR Test::More

* Fri May 16 2008 Steven Pritchard <steve@kspei.com> 1.32-1
- Update to 1.32

* Fri Feb  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.25-2
- Rebuild for new perl

* Mon Jan 28 2008 Steven Pritchard <steve@kspei.com> 1.25-1
- Update to 1.25

* Tue Dec 11 2007 Steven Pritchard <steve@kspei.com> 1.21-1
- Update to 1.21
- Update License tag
- BR Test::MinimumVersion

* Thu Aug 23 2007 Steven Pritchard <steve@kspei.com> 1.14-1
- Update to 1.14

* Fri Jul 13 2007 Steven Pritchard <steve@kspei.com> 1.13-1
- Update to 1.13

* Fri Jun 08 2007 Steven Pritchard <steve@kspei.com> 1.12-1
- Update to 1.12

* Mon May 28 2007 Steven Pritchard <steve@kspei.com> 1.09-1
- Update to 1.09

* Sat May 19 2007 Steven Pritchard <steve@kspei.com> 1.08-1
- Update to 1.08
- Update description

* Tue Mar 13 2007 Steven Pritchard <steve@kspei.com> 1.04-1
- Specfile autogenerated by cpanspec 1.70
- Drop redundant perl build dependency
- BR YAML, YAML::Syck, and Test::Pod for better test coverage
